Subject: [nfsv4] Announcement and call for comments: planned RDMA/IP "Mini-BOF" at IETF-88 Vancouver

From: Tom Talpey <[email-masked]>
Date: Mon, 7 Oct 2013 20:55:01 +0000

RDMA/IP "Mini-BOF" overview
    STORM Working Group, IETF-88 Vancouver Canada
    Thursday, November 7, 1300-1500 (tentative)

The STORM (STORage Maintenance) working group's responsibilities include maintenance and development of various IETF RDMA specifications, and interest and activity is rising in these. Many RDMA device and RDMA-aware upper layer implementations already use IETF-standard protocols, and others are moving toward using IP networks, by defining new IP-family layering. Use of the iWARP family is already in place for three broadly implemented storage protocols (iSCSI, NFS, SMB), as well as for High Performance Computing. The Infiniband Trade Association, which defines the RDMA over Converged Ethernet (RoCE) transport, is considering a RoCE IP-family encapsulation. Additional extensions to the IETF RDMA RFCs are in progress in the STORM working group.

A BOF is scheduled for the upcoming meeting to review the status of the various RDMA-related efforts, and the requirements of upper layers. With these at front of mind, a discussion will be held to determine interest and desire to proceed with next steps in the IETF, and coordination with external standards efforts. In addition to determining possible future IETF work, the discussion will explore the role IETF may play in external specifications.

Example RDMA-capable Transports:
	iWARP (RFC5040-5044) and draft-ietf-storm-rdmap-ext
	RoCE (www.infinibandta.org)
	InfiniBand (www.infinibandta.org)

Example Upper layers using RDMA:
	NFS/RDMA (RFC5666-5667)
	iSER (RFC5046) and draft-ietf-storm-iser
	SMB3 and SMB Direct (MS-SMB2 and MS-SMBD http://msdn.microsoft.com/en-us/library/jj712081.aspx)
	MPI (http://en.wikipedia.org/wiki/Message_Passing_Interface)

Additional implementations/use:
	iWARP extensions (continued)
	Routable RoCE
	Shared memory (draft-fox-tcpm-shared-memory-rdma)
	Further use by storage upper layers
	Applicability to new storage technologies e.g. flash, nonvolatile memory, etc.

Other topic proposal suggestions are welcomed, please mail [email-masked], or reply to the STORM mailing list.

David Black and Tom Talpey
STORM working group co-chairs